{% extends 'base.html' %}
{%load static%}

{% block tambahStyle %}
<link rel="stylesheet" href="{% static 'poll/poll.css'%}">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<style>
    .btn-vote{
        background-color:#5fa8d3 ;
        font-weight: bolder;
        color: white ;
        box-sizing: border-box;
        border-radius: 20px 20px 20px 20px;
    }

    .btn-hasil{
        background-color:#73ba9b ;
        font-weight: bolder;
        color: white ;
        box-sizing: border-box;
        border-radius: 20px 20px 20px 20px;
    }

    .btn-buat-poll{
        background-color:#ff9b54 ;
        font-weight: bolder;
        color: white ;
        box-sizing: border-box;
        border-radius: 20px 20px 20px 20px;
    }

    .jumbotron-covid{
        background-image: url("/static/jumbotron-cov19.jpg");
        height: 600px;
        display: block;
    }

    .text-bisa-apa{
        padding-top: 80px;
        padding-bottom:80px ;
    }

    .pengertian{
        color: white; 
        font-weight: 400; 
        font-size: 20px;
    }

    .btn-jumbotron{
        box-sizing: border-box;
        border-radius: 10px ;
    }

    .tulisan-covpoll{
        margin-bottom: 30px;
        background-color:#73ba9b ;
        font-weight: bolder;
        color: white ;
        box-sizing: border-box;
        border-radius: 15px 15px 15px 15px;
    }
    .cursor{
        width:30px;
        height: 30px;
        border: 1px solid #2d6a4f;
        border-radius: 50%;
        position: absolute;
        animation: cursorAnim .5s infinite alternate;
        pointer-events: none;
    }

    .cursor::after{
        content:"";
        width: 30px;
        height: 30px;
        position: absolute;
        border: 8px solid #52b788;
        border-radius: 50%;
        opacity: .5;
        top: -1px;
        left: -1px;
        animation: cursorAnim2 .5s infinite alternate;
    }

    @keyframes cursorAnim {
        from{
            transform: scale(1);
        }
        to{
            transform: scale(.7);
        }
    }

    @keyframes cursorAnim2 {
        from{
            transform: scale(1);
        }
        to{
            transform: scale(.4);
        }
    }

    


    @media (min-width: 500px) and (max-width:590px) {
        #container-poll{
            width: 500px;
            font-size: 14px;
        }

        .btn-vote-hasil{
            margin-top: 5px;
            margin-bottom:5px;
        }
     
        
    }

    @media (min-width: 400px) and (max-width:499px) {
        #container-poll{
            width: 400px;
            font-size: 12px;
        }
        .btn{
            font-size: 10px;
        }

        .btn-vote-hasil{
            margin-top: 5px;
            margin-bottom:5px;
        }
    
    }

    @media (min-width: 300px) and (max-width:399px) {
        #container-poll{
            width: 300px;
            font-size: 12px;
        }

        .btn{
            font-size: 10px;
        }

        .btn-vote-hasil{
            margin-top: 5px;
            margin-bottom:5px;
        }
    }

    @media (min-width: 591px) and (max-width:699px){
        .btn-vote-hasil{
            margin-top: 5px;
            margin-bottom:5px;
        }
    }




    @media (min-width: 700px) and (max-width:2000px){
        .btn-vote-hasil{
             float: right;
        }
    }
</style>
{% endblock tambahStyle %}

{% block content %}

<body style="background-color: #DCE5D2";>
    <div class="cursor"></div>
    {% if user.is_authenticated %}
    <div class="jumbotron-fluid jumbotron-covid">
        <h1 class="display-4" style="color: white; font-weight: 500;">CovPoll</h1>
        <p class="lead" style="color: white; font-size: 50px;">Buat Polling, Vote, dan lihat Hasilnya </p>
        <hr class="my-4">
        <p class="pengertian">CovPoll adalah fitur polling mengenai covid 19 dimana Anda<br> dapat membuat sekaligus melihat hasil polling yang telah dibuat.</p>
        <a class="btn btn-primary btn-lg btn-jumbotron" href="{% url 'poll:poll' %}#container-poll" >Tabel Polling</a>
      </div>

      <div class="container" id="container-poll" style="margin-top: 100px;">
        <div class="h1 text text-center tulisan-covpoll" style="font-weight:bold"> Tabel CovPoll</div>
        <div class="row" style= margin-bottom:60px;">
            <div class="col card-header rounded-t-lg" style="background-color: #ABB868;">
                <div class="h2 text" style="font-weight:600"> Polling yang Tersedia</div>
                <ul class="list-group">
                    {% for poll in polling %}
                    <li class="list-group-item" style="margin-top: 20px; font-weight: 600   ; ">
                        {{poll.pertanyaan}}
                    <div class="btn-vote-hasil">
                        <a href="{% url 'poll:vote' poll.id %}" >
                            <button type="button" class="btn btn-sm btn-vote">&nbsp;Vote&nbsp;</button>
                        </a>
                    </div>
                    <div class="btn-vote-hasil">
                        <a href="{% url 'poll:hasil' poll.id %}">
                            <button type="button" class="btn btn-sm btn-hasil" style="margin-right: 10px;">&nbsp;Lihat Hasil&nbsp;</button>
                        </a>
                    </div>
                    </li>
                    {% endfor %}
                </ul>
                <a href="{% url 'poll:buatpoll'%}">
                    <button type="button" class="btn btn-sm btn-buat-poll" style="margin-top: 20px;">&nbsp;Buat Polling&nbsp;</button>
                </a>
                </div>
        </div>
    </div>
    {% else %}
    <h1 style="text-align: center;">Anda belum Login!</h1>
    {% endif %}
    <script>
        $(document).mousemove(function(e){
            $(".cursor").css({left:e.pageX-10, top:e.pageY-10})
        });
    </script>
</body>
{% endblock content %}
